# CEGUI::WindowFactoryManager::AliasTargetStack Class Reference

Class used to track active alias targets for Window factory types. More...

List of all members.

## Public Member Functions

| AliasTargetStack (void)
| Constructor for WindowAliasTargetStack objects.
| ~AliasTargetStack (void)
| Destructor for WindowAliasTargetStack objects.
const String & | getActiveTarget (void) const
| Return a String holding the current target type for this stack.
uint | getStackedTargetCount (void) const
| Return the number of stacked target types in the stack.

## Friends

class | WindowFactoryManager

## Detailed Description

Class used to track active alias targets for Window factory types.

## Member Function Documentation

const String & CEGUI::WindowFactoryManager::AliasTargetStack::getActiveTarget | ( | void |  | ) | const

Return a String holding the current target type for this stack.

Returns:
  reference to a String object holding the currently active target type name for this stack.

uint CEGUI::WindowFactoryManager::AliasTargetStack::getStackedTargetCount | ( | void |  | ) | const

Return the number of stacked target types in the stack.

Returns:
  number of target types stacked for this alias.